EulerOS 2.0 SP2 : nss (EulerOS-SA-2018-1358)

Medium Nessus Plugin ID 118741

Synopsis

The remote EulerOS host is missing a security update.

Description

According to the version of the nss packages installed, the EulerOS installation on the remote host is affected by the following vulnerability :

- ServerHello.random is all zeros when handling a v2-compatible ClientHello (CVE-2018-12384)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected nss package.

See Also

http://www.nessus.org/u?a2c43ccd

Plugin Details

Severity: Medium

ID: 118741

File Name: EulerOS_SA-2018-1358.nasl

Version: 1.2

Type: local

Published: 2018/11/06

Modified: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:nss, p-cpe:/a:huawei:euleros:nss-devel, p-cpe:/a:huawei:euleros:nss-sysinit, p-cpe:/a:huawei:euleros:nss-tools, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Patch Publication Date: 2018/10/27

Reference Information

CVE: CVE-2018-12384